#pragma once

#include <vector>



namespace lib_geo
{
namespace ply
{


class PlyHeader
{
public:
	PlyHeader(void);
	void Clear(void);

	int GetMaxPropIdx(void) const;
	bool HasNormal(void) const;

public:
	std::string m_FormatType;

	size_t m_NumVerts;
	int m_VertPropIdx_X;
	int m_VertPropIdx_Y;
	int m_VertPropIdx_Z;
	int m_VertPropIdx_nX;
	int m_VertPropIdx_nY;
	int m_VertPropIdx_nZ;

	size_t m_NumFaces;

	std::vector<std::string> m_Comments;
};


}
}
